package cn.iocoder.yudao.module.ecw.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 客户创建入口类型枚举
 */
@AllArgsConstructor
@Getter
public enum CustomerCreateFromEnum {

    //1、导入 2、后台用户创建  3、APP注册  4、发货人创建

    IMPORT(1, "导入"),
    BACKEND(2, "后台用户创建"),
    APP_REGISTER(3, "APP注册"),
    APP_CONSIGNOR(4, "APP发货人创建");

    ;
    /**
     * 类型
     */
    private final Integer value;
    /**
     * 类型名
     */
    private final String name;


    public static String getNameByValue(Integer value) {
        return Arrays.stream(CustomerCreateFromEnum.values()).filter(t -> t.getValue().equals(value)).map(CustomerCreateFromEnum::getName).findFirst().orElse("");
    }

    public static CustomerCreateFromEnum get(Integer value) {
        return Arrays.stream(CustomerCreateFromEnum.values()).filter(t -> t.getValue().equals(value)).findFirst().orElse(null);
    }
}
